function y = DataVarType(x)
	if def(x)
		y = zeros(size(x));
		for i=1:prod(size(x))
			y(i) = isnum(Data(1,x(i)));
		end
	else
		y = zeros(nvar,1);
		for i=1:nvar
			y(i) = isnum(Data(1,i));
		end
	end
end